classification
Title: Use io.IncrementalNewlineDecoder for doctest newline conversion
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.10
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: eric.araujo, pdonis, zach.ware
Priority: normal Keywords: patch

Created on 2021-01-28 02:10 by pdonis, last changed 2021-03-03 00:45 by pdonis. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 24359 merged pdonis, 2021-01-28 02:13
Messages (4)
msg385830 - (view) Author: Peter Donis (pdonis) * Date: 2021-01-28 02:10
This is a follow-up to issue 1812:

https://bugs.python.org/issue1812

It was suggested in the discussion on that issue that the newline conversion in doctest that was corrected in that issue could be done using already defined resources in the io module instead of by a custom function. This issue is to provide an issue number for my pull request on github to do that: the io module provides the IncrementalNewlineDecoder object that does exactly what is needed.
msg387939 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2021-03-02 17:06
New changeset b36349a647b2bf8174f0e736a4fc347e92ae204e by Peter Donis in branch 'master':
bpo-43049: Use io.IncrementalNewlineDecoder for doctest newline conversion (GH-24359)
https://github.com/python/cpython/commit/b36349a647b2bf8174f0e736a4fc347e92ae204e
msg387941 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2021-03-02 17:08
Thanks for the patch!
msg387988 - (view) Author: Peter Donis (pdonis) * Date: 2021-03-03 00:45
Thanks for merging!
History
Date User Action Args
2021-03-03 00:45:29pdonissetmessages: + msg387988
2021-03-02 17:08:19zach.waresetstatus: open -> closed
versions: - Python 3.7, Python 3.8, Python 3.9
messages: + msg387941

components: + Library (Lib), - Tests
resolution: fixed
stage: patch review -> resolved
2021-03-02 17:06:27zach.waresetmessages: + msg387939
2021-01-28 02:47:23zach.waresetnosy: + eric.araujo, zach.ware
2021-01-28 02:13:46pdonissetkeywords: + patch
stage: patch review
pull_requests: + pull_request23183
2021-01-28 02:10:04pdoniscreate